Critical CentOS php Update

Metadata

high
7.5
php-5.3.3-27.el6_5.i686.rpm, php-5.3.3-27.el6_5.src.rpm, php-5.3.3-27.el6_5.x86_64.rpm, php-bcmath-5.3.3-27.el6_5.i686.rpm, php-bcmath-5.3.3-27.el6_5.x86_64.rpm, php-cli-5.3.3-27.el6_5.i686.rpm, php-cli-5.3.3-27.el6_5.x86_64.rpm, php-common-5.3.3-27.el6_5.i686.rpm, php-common-5.3.3-27.el6_5.x86_64.rpm, php-dba-5.3.3-27.el6_5.i686.rpm, php-dba-5.3.3-27.el6_5.x86_64.rpm, php-devel-5.3.3-27.el6_5.i686.rpm, php-devel-5.3.3-27.el6_5.x86_64.rpm, php-embedded-5.3.3-27.el6_5.i686.rpm, php-embedded-5.3.3-27.el6_5.x86_64.rpm, php-enchant-5.3.3-27.el6_5.i686.rpm, php-enchant-5.3.3-27.el6_5.x86_64.rpm, php-fpm-5.3.3-27.el6_5.i686.rpm, php-fpm-5.3.3-27.el6_5.x86_64.rpm, php-gd-5.3.3-27.el6_5.i686.rpm, php-gd-5.3.3-27.el6_5.x86_64.rpm, php-imap-5.3.3-27.el6_5.i686.rpm, php-imap-5.3.3-27.el6_5.x86_64.rpm, php-intl-5.3.3-27.el6_5.i686.rpm, php-intl-5.3.3-27.el6_5.x86_64.rpm, php-ldap-5.3.3-27.el6_5.i686.rpm, php-ldap-5.3.3-27.el6_5.x86_64.rpm, php-mbstring-5.3.3-27.el6_5.i686.rpm, php-mbstring-5.3.3-27.el6_5.x86_64.rpm, php-mysql-5.3.3-27.el6_5.i686.rpm, php-mysql-5.3.3-27.el6_5.x86_64.rpm, php-odbc-5.3.3-27.el6_5.i686.rpm, php-odbc-5.3.3-27.el6_5.x86_64.rpm, php-pdo-5.3.3-27.el6_5.i686.rpm, php-pdo-5.3.3-27.el6_5.x86_64.rpm, php-pgsql-5.3.3-27.el6_5.i686.rpm, php-pgsql-5.3.3-27.el6_5.x86_64.rpm, php-process-5.3.3-27.el6_5.i686.rpm, php-process-5.3.3-27.el6_5.x86_64.rpm, php-pspell-5.3.3-27.el6_5.i686.rpm, php-pspell-5.3.3-27.el6_5.x86_64.rpm, php-recode-5.3.3-27.el6_5.i686.rpm, php-recode-5.3.3-27.el6_5.x86_64.rpm, php-snmp-5.3.3-27.el6_5.i686.rpm, php-snmp-5.3.3-27.el6_5.x86_64.rpm, php-soap-5.3.3-27.el6_5.i686.rpm, php-soap-5.3.3-27.el6_5.x86_64.rpm, php-tidy-5.3.3-27.el6_5.i686.rpm, php-tidy-5.3.3-27.el6_5.x86_64.rpm, php-xml-5.3.3-27.el6_5.i686.rpm, php-xml-5.3.3-27.el6_5.x86_64.rpm, php-xmlrpc-5.3.3-27.el6_5.i686.rpm, php-xmlrpc-5.3.3-27.el6_5.x86_64.rpm, php-zts-5.3.3-27.el6_5.i686.rpm, php-zts-5.3.3-27.el6_5.x86_64.rpm, php53-5.3.3-22.el5_10.i386.rpm, php53-5.3.3-22.el5_10.src.rpm, php53-5.3.3-22.el5_10.x86_64.rpm, php53-bcmath-5.3.3-22.el5_10.i386.rpm, php53-bcmath-5.3.3-22.el5_10.x86_64.rpm, php53-cli-5.3.3-22.el5_10.i386.rpm, php53-cli-5.3.3-22.el5_10.x86_64.rpm, php53-common-5.3.3-22.el5_10.i386.rpm, php53-common-5.3.3-22.el5_10.x86_64.rpm, php53-dba-5.3.3-22.el5_10.i386.rpm, php53-dba-5.3.3-22.el5_10.x86_64.rpm, php53-devel-5.3.3-22.el5_10.i386.rpm, php53-devel-5.3.3-22.el5_10.x86_64.rpm, php53-gd-5.3.3-22.el5_10.i386.rpm, php53-gd-5.3.3-22.el5_10.x86_64.rpm, php53-imap-5.3.3-22.el5_10.i386.rpm, php53-imap-5.3.3-22.el5_10.x86_64.rpm, php53-intl-5.3.3-22.el5_10.i386.rpm, php53-intl-5.3.3-22.el5_10.x86_64.rpm, php53-ldap-5.3.3-22.el5_10.i386.rpm, php53-ldap-5.3.3-22.el5_10.x86_64.rpm, php53-mbstring-5.3.3-22.el5_10.i386.rpm, php53-mbstring-5.3.3-22.el5_10.x86_64.rpm, php53-mysql-5.3.3-22.el5_10.i386.rpm, php53-mysql-5.3.3-22.el5_10.x86_64.rpm, php53-odbc-5.3.3-22.el5_10.i386.rpm, php53-odbc-5.3.3-22.el5_10.x86_64.rpm, php53-pdo-5.3.3-22.el5_10.i386.rpm, php53-pdo-5.3.3-22.el5_10.x86_64.rpm, php53-pgsql-5.3.3-22.el5_10.i386.rpm, php53-pgsql-5.3.3-22.el5_10.x86_64.rpm, php53-process-5.3.3-22.el5_10.i386.rpm, php53-process-5.3.3-22.el5_10.x86_64.rpm, php53-pspell-5.3.3-22.el5_10.i386.rpm, php53-pspell-5.3.3-22.el5_10.x86_64.rpm, php53-snmp-5.3.3-22.el5_10.i386.rpm, php53-snmp-5.3.3-22.el5_10.x86_64.rpm, php53-soap-5.3.3-22.el5_10.i386.rpm, php53-soap-5.3.3-22.el5_10.x86_64.rpm, php53-xml-5.3.3-22.el5_10.i386.rpm, php53-xml-5.3.3-22.el5_10.x86_64.rpm, php53-xmlrpc-5.3.3-22.el5_10.i386.rpm, php53-xmlrpc-5.3.3-22.el5_10.x86_64.rpm
CVE-2013-6420
rhn.redhat.com, lists.centos.org, lists.centos.org
2013-12-11
2017-07-27 19:06
ALAS-2013-263
ALAS-2013-262
ALAS-2013-264
Critical CentOS php Update
CVE-2013-6420 php5
CVE-2013-6420
2017-04-01 19:07
2017-01-05 20:11

Description


Updated php53 and php packages that fix one security issue are now
available for Red Hat Enterprise Linux 5 and 6 respectively.

The Red Hat Security Response Team has rated this update as having critical
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

A memory corruption flaw was found in the way the openssl_x509_parse()
function of the PHP openssl extension parsed X.509 certificates. A remote
attacker could use this flaw to provide a malicious self-signed certificate
or a certificate signed by a trusted authority to a PHP application using
the aforementioned function, causing the application to crash or, possibly,
allow the attacker to execute arbitrary code with the privileges of the
user running the PHP interpreter. (CVE-2013-6420)

Red Hat would like to thank the PHP project for reporting this issue.
Upstream acknowledges Stefan Esser as the original reporter of this issue.

All php53 and php users are advised to upgrade to these updated packages,
which contain a backported patch to correct this issue. After installing
the updated packages, the httpd daemon must be restarted for the update to
take effect.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
5 php53 php53-5.3.3-22.el5_10.i386.rpm
php53 php53-5.3.3-22.el5_10.src.rpm
php53 php53-5.3.3-22.el5_10.x86_64.rpm
php53-bcmath php53-bcmath-5.3.3-22.el5_10.i386.rpm
php53-bcmath php53-bcmath-5.3.3-22.el5_10.x86_64.rpm
php53-cli php53-cli-5.3.3-22.el5_10.i386.rpm
php53-cli php53-cli-5.3.3-22.el5_10.x86_64.rpm
php53-common php53-common-5.3.3-22.el5_10.i386.rpm
php53-common php53-common-5.3.3-22.el5_10.x86_64.rpm
php53-dba php53-dba-5.3.3-22.el5_10.i386.rpm
php53-dba php53-dba-5.3.3-22.el5_10.x86_64.rpm
php53-devel php53-devel-5.3.3-22.el5_10.i386.rpm
php53-devel php53-devel-5.3.3-22.el5_10.x86_64.rpm
php53-gd php53-gd-5.3.3-22.el5_10.i386.rpm
php53-gd php53-gd-5.3.3-22.el5_10.x86_64.rpm
php53-imap php53-imap-5.3.3-22.el5_10.i386.rpm
php53-imap php53-imap-5.3.3-22.el5_10.x86_64.rpm
php53-intl php53-intl-5.3.3-22.el5_10.i386.rpm
php53-intl php53-intl-5.3.3-22.el5_10.x86_64.rpm
php53-ldap php53-ldap-5.3.3-22.el5_10.i386.rpm
php53-ldap php53-ldap-5.3.3-22.el5_10.x86_64.rpm
php53-mbstring php53-mbstring-5.3.3-22.el5_10.i386.rpm
php53-mbstring php53-mbstring-5.3.3-22.el5_10.x86_64.rpm
php53-mysql php53-mysql-5.3.3-22.el5_10.i386.rpm
php53-mysql php53-mysql-5.3.3-22.el5_10.x86_64.rpm
php53-odbc php53-odbc-5.3.3-22.el5_10.i386.rpm
php53-odbc php53-odbc-5.3.3-22.el5_10.x86_64.rpm
php53-pdo php53-pdo-5.3.3-22.el5_10.i386.rpm
php53-pdo php53-pdo-5.3.3-22.el5_10.x86_64.rpm
php53-pgsql php53-pgsql-5.3.3-22.el5_10.i386.rpm
php53-pgsql php53-pgsql-5.3.3-22.el5_10.x86_64.rpm
php53-process php53-process-5.3.3-22.el5_10.i386.rpm
php53-process php53-process-5.3.3-22.el5_10.x86_64.rpm
php53-pspell php53-pspell-5.3.3-22.el5_10.i386.rpm
php53-pspell php53-pspell-5.3.3-22.el5_10.x86_64.rpm
php53-snmp php53-snmp-5.3.3-22.el5_10.i386.rpm
php53-snmp php53-snmp-5.3.3-22.el5_10.x86_64.rpm
php53-soap php53-soap-5.3.3-22.el5_10.i386.rpm
php53-soap php53-soap-5.3.3-22.el5_10.x86_64.rpm
php53-xml php53-xml-5.3.3-22.el5_10.i386.rpm
php53-xml php53-xml-5.3.3-22.el5_10.x86_64.rpm
php53-xmlrpc php53-xmlrpc-5.3.3-22.el5_10.i386.rpm
php53-xmlrpc php53-xmlrpc-5.3.3-22.el5_10.x86_64.rpm
6 php php-5.3.3-27.el6_5.i686.rpm
php php-5.3.3-27.el6_5.src.rpm
php php-5.3.3-27.el6_5.x86_64.rpm
php-bcmath php-bcmath-5.3.3-27.el6_5.i686.rpm
php-bcmath php-bcmath-5.3.3-27.el6_5.x86_64.rpm
php-cli php-cli-5.3.3-27.el6_5.i686.rpm
php-cli php-cli-5.3.3-27.el6_5.x86_64.rpm
php-common php-common-5.3.3-27.el6_5.i686.rpm
php-common php-common-5.3.3-27.el6_5.x86_64.rpm
php-dba php-dba-5.3.3-27.el6_5.i686.rpm
php-dba php-dba-5.3.3-27.el6_5.x86_64.rpm
php-devel php-devel-5.3.3-27.el6_5.i686.rpm
php-devel php-devel-5.3.3-27.el6_5.x86_64.rpm
php-embedded php-embedded-5.3.3-27.el6_5.i686.rpm
php-embedded php-embedded-5.3.3-27.el6_5.x86_64.rpm
php-enchant php-enchant-5.3.3-27.el6_5.i686.rpm
php-enchant php-enchant-5.3.3-27.el6_5.x86_64.rpm
php-fpm php-fpm-5.3.3-27.el6_5.i686.rpm
php-fpm php-fpm-5.3.3-27.el6_5.x86_64.rpm
php-gd php-gd-5.3.3-27.el6_5.i686.rpm
php-gd php-gd-5.3.3-27.el6_5.x86_64.rpm
php-imap php-imap-5.3.3-27.el6_5.i686.rpm
php-imap php-imap-5.3.3-27.el6_5.x86_64.rpm
php-intl php-intl-5.3.3-27.el6_5.i686.rpm
php-intl php-intl-5.3.3-27.el6_5.x86_64.rpm
php-ldap php-ldap-5.3.3-27.el6_5.i686.rpm
php-ldap php-ldap-5.3.3-27.el6_5.x86_64.rpm
php-mbstring php-mbstring-5.3.3-27.el6_5.i686.rpm
php-mbstring php-mbstring-5.3.3-27.el6_5.x86_64.rpm
php-mysql php-mysql-5.3.3-27.el6_5.i686.rpm
php-mysql php-mysql-5.3.3-27.el6_5.x86_64.rpm
php-odbc php-odbc-5.3.3-27.el6_5.i686.rpm
php-odbc php-odbc-5.3.3-27.el6_5.x86_64.rpm
php-pdo php-pdo-5.3.3-27.el6_5.i686.rpm
php-pdo php-pdo-5.3.3-27.el6_5.x86_64.rpm
php-pgsql php-pgsql-5.3.3-27.el6_5.i686.rpm
php-pgsql php-pgsql-5.3.3-27.el6_5.x86_64.rpm
php-process php-process-5.3.3-27.el6_5.i686.rpm
php-process php-process-5.3.3-27.el6_5.x86_64.rpm
php-pspell php-pspell-5.3.3-27.el6_5.i686.rpm
php-pspell php-pspell-5.3.3-27.el6_5.x86_64.rpm
php-recode php-recode-5.3.3-27.el6_5.i686.rpm
php-recode php-recode-5.3.3-27.el6_5.x86_64.rpm
php-snmp php-snmp-5.3.3-27.el6_5.i686.rpm
php-snmp php-snmp-5.3.3-27.el6_5.x86_64.rpm
php-soap php-soap-5.3.3-27.el6_5.i686.rpm
php-soap php-soap-5.3.3-27.el6_5.x86_64.rpm
php-tidy php-tidy-5.3.3-27.el6_5.i686.rpm
php-tidy php-tidy-5.3.3-27.el6_5.x86_64.rpm
php-xml php-xml-5.3.3-27.el6_5.i686.rpm
php-xml php-xml-5.3.3-27.el6_5.x86_64.rpm
php-xmlrpc php-xmlrpc-5.3.3-27.el6_5.i686.rpm
php-xmlrpc php-xmlrpc-5.3.3-27.el6_5.x86_64.rpm
php-zts php-zts-5.3.3-27.el6_5.i686.rpm
php-zts php-zts-5.3.3-27.el6_5.x86_64.rpm